varying vec2 		texcoord;
uniform sampler2D 	tex;

void main()
{
	// LINEAR TO GAMMA CONVERSION
	vec4 color=texture2D(tex,texcoord);
	//color.rgb=pow(color.rgb,vec3(1.0/2.2));
	
	gl_FragColor=max(vec4(0.0),color);
	gl_FragColor.a=1.0;
}
